<script>
import {
    mapActions, mapGetters, mapMutations, mapState,
} from 'vuex';
import { startupsTable } from '@/constants/ui/listings';
import UsersListing from './users';

export default {
    extends: UsersListing,
    created() {
        this.highlightCurrentRow = false;
    },
    computed: {
        tableStructure: () => ({ ...startupsTable }),
        ...mapState({
            tableData: state => state.users.startups,
            serverFilter: state => state.users.startups_filter,
            serverSorting: state => state.users.startups_sorting,
        }),
        ...mapGetters({
            resultCount: 'startupsTotal',
            paginationPage: 'startupsCurrentPage',
            pageLimit: 'startupsPageLimit',
        }),
    },
    methods: {
        /** import methods from vuex actions */
        ...mapActions({
            changeSorting: 'changeStartupsSorting',
            changePage: 'changeStartupsPage',
            getList: 'getStartupsList',
        }),
        /** import methods from vuex mutations */
        ...mapMutations({
            setPageLimit: 'setStartupsPageLimit',
            setCurrentPage: 'setStartupsCurrentPage',
        }),
    },
};
</script>

<style lang="stylus">
.not_published
    background-color: #dddddd

.in_review
    background-color: #ffff88

.changes_required
    background-color: #ffbbbb

.published
    background-color: #90ee90

</style>
